Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 02/02/2021 in all areas

  1. (command "_.-layer" "_lw" "default" "*" "")
    2 points
  2. If reinserting doesn't work that just means there is a problem with the block, it can get very frustrating trying to figure out where it has gone wrong, but there is an error somewhere.
    1 point
  3. There are no fixed rules on this (at least nothing that I know of), but with dynamic blocks 'things' happen. Sometimes with existing blocks after you make an edit in the block editor the changes are made in existing blocks, other times they don't work, in that case all you can do is delete the old block and insert it again, especially when you are just testing and developing a new block.
    1 point
  4. It is something I have experienced, but it is not the visibility states it is the use of the blocks in your drawing, any change to a dynamic block creates an annonymous block. In theory a block is created once and each instance of blocks you place just uses that block definition, which saves time and drawing size. But a dynamic block does have it's own unique characters so one block might use visstate 1 and another visstate 2, or they might have different stretches applied, and AutoCAD needs to keep track of that information as well, so it creates annonymous block names, and it is this that slows a drawing down. I once had a door block with 300 attributes and o couple of dozen lookups for multiple choice entries, the drawing became unworkable after a certain number of blocks where inserted (it could take half an hour to respond), eventually I had to give up on that block. Sometimes simpler is better and I ended up with using multiple blocks. When you create a block and insert it and then later edit the block, the already inserted blocks won't properly update especially if they contain attributes, you need to run the 'attsync' command and select one of the inserted blocks. And with dynamic blocks sometimes you just have to delete any existing blocks and insert them again with the new version.
    1 point
  5. When you are trying tricks like these AutoCAD is very fussy that you do things correctly, in your block there are no actions that match up with you linear parameters, there also needs to be an object selected for those actions, watch that second video you linked too at about the 5.30 minute position your parameters also need to be set as a list of defined measurements. This is a tricky subject to get the hang of, but well worth the effort. And a tip it is much easier to keep your linear parameters horizontal and stacked above each other as in that video it just makes it easier to see what is what and keep your actions organised as well.
    1 point
  6. (vlax-for l (vla-get-layers (vla-get-activedocument (vlax-get-acad-object))) (vla-put-lineweight l aclnwtbylwdefault))
    1 point
  7. This might be a slightly cleaner way to approach it: (defun c:test ( / layer lst ) (setq layer "Layer1") (if (setq lst (acad_truecolordlg '(62 . 7) nil)) (entmake (list (cons 0 "LAYER") (cons 100 "AcDbSymbolTableRecord") (cons 100 "AcDbLayerTableRecord") (cons 2 layer) (cons 70 0) (cond ( (assoc 420 lst) ) ( (assoc 62 lst) ) ) ) ) ) (princ) )
    1 point
×
×
  • Create New...